﻿Namespace Model
    Public Class Contact
        Inherits ModelBase

        Public Sub New()
        End Sub

        Public Sub New(contactValue As String)
            Me.ContactValue = contactValue
        End Sub

        Public Sub New(contactValue As String, contactType As EnuContactType)
            Me.ContactValue = contactValue
            Me.ContactType = contactType
        End Sub

        Public Property ContactValue As String
        Public Property ContactType As EnuContactType = 0


    End Class

    Public Enum EnuContactType
        PhoneMobile = 0
        PhonePrivate = 1
        PhoneBusiness = 2
        MailPrivate = 3
        MailBusiness = 4
        Fax = 5
        Facebook = 6
        Instagram = 7
        Other = 8
    End Enum

End Namespace
